INCLUDES= -I$(srcdir)/../.. -I.. -I$(top_srcdir)/kjsembed $(all_includes)
KDE_CXXFLAGS = -DTQT_NO_ASCII_CAST -Wno-unused

noinst_LTLIBRARIES = libkjsembedbuiltins.la

libkjsembedbuiltins_la_SOURCES =	stdaction_imp.cpp \
					resources.cpp \
					stddialog_imp.cpp \
					saxhandler.cpp \
					textstream_imp.cpp \
					qdir_imp.cpp \
					qfile_imp.cpp

libkjsembedbuiltins_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
libkjsembedbuiltins_la_LIBADD = $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEPARTS) \
				$(LIB_TDEFILE) -lkjs $(LIBSOCKET)

libkjsembedbuiltins_la_METASOURCES = AUTO
